// TODO - parametrize the scheme
export type Repo = {
    domain: string;
    owner: string;
    name: string;
}

export function repoString(repo: Repo): string {
    return `${repo.domain}/${repo.owner}/${repo.name}`;
}

export type Commit = {
    hash: string;
    author_name: string;
    author_email: string;
    repo_path: string;
    date: Date;
    message: string;
}
